Package com.sun.mail.handlers

# Class image_jpeg

java.lang.Object
com.sun.mail.handlers.handler_base
com.sun.mail.handlers.image_gif
com.sun.mail.handlers.image_jpeg

All Implemented Interfaces:
  `DataContentHandler`

public class image_jpeg extends image_gif
DataContentHandler for image/jpeg.

## Constructor Summary

Constructors
Constructor
Description
`image_jpeg()`

## Method Summary

Modifier and Type
Method
Description
`protected ActivationDataFlavor[]`
`getDataFlavors()`
Return an array of ActivationDataFlavors that we support.

### Methods inherited from class com.sun.mail.handlers.image_gif

`getContent, writeTo`

### Methods inherited from class com.sun.mail.handlers.handler_base

`getData, getTransferData, getTransferDataFlavors`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### image_jpeg

public image_jpeg()

## Method Details

### getDataFlavors

protected ActivationDataFlavor[] getDataFlavors()
Description copied from class: `handler_base`
Return an array of ActivationDataFlavors that we support. Usually there will be only one.

Overrides:
  `getDataFlavors` in class `image_gif`
Returns:
  array of ActivationDataFlavors that we support